"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _CalendarContext = require("../CalendarContext");
var _Wheel = _interopRequireDefault(require("./TimePicker/Wheel"));
var _enums = require("../enums");
var _utils = _interopRequireDefault(require("../utils"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function createNumberList(num) {
  return new Array(num).fill(0).map((_, index) => index);
}
const TimeSelector = () => {
  const {
    selectedDate,
    currentDate,
    onSelectDate,
    theme
  } = (0, _CalendarContext.useCalendarContext)();
  const [time, setTime] = (0, _react.useState)({
    minute: _utils.default.getDateMinute(selectedDate),
    hour: _utils.default.getDateHour(selectedDate)
  });
  (0, _react.useEffect)(() => {
    setTime({
      minute: _utils.default.getDateMinute(selectedDate),
      hour: _utils.default.getDateHour(selectedDate)
    });
  }, [selectedDate]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.timePickerContainer, theme === null || theme === void 0 ? void 0 : theme.timePickerContainerStyle]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.wheelContainer
  }, /*#__PURE__*/_react.default.createElement(_Wheel.default, {
    value: time.hour,
    items: createNumberList(24),
    textStyle: {
      ...styles.timePickerText,
      ...(theme === null || theme === void 0 ? void 0 : theme.timePickerTextStyle)
    },
    setValue: hour => {
      setTime({
        ...time,
        hour
      });
      const newDate = _utils.default.getDate(currentDate).hour(hour);
      onSelectDate(_utils.default.getFormated(newDate));
    }
  })), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: {
      ...styles.timePickerText,
      ...(theme === null || theme === void 0 ? void 0 : theme.timePickerTextStyle)
    }
  }, ":"), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.wheelContainer
  }, /*#__PURE__*/_react.default.createElement(_Wheel.default, {
    value: time.minute,
    items: createNumberList(60),
    textStyle: {
      ...styles.timePickerText,
      ...(theme === null || theme === void 0 ? void 0 : theme.timePickerTextStyle)
    },
    setValue: minute => {
      setTime({
        ...time,
        minute
      });
      const newDate = _utils.default.getDate(currentDate).minute(minute);
      onSelectDate(_utils.default.getFormated(newDate));
    }
  }))));
};
const styles = _reactNative.StyleSheet.create({
  container: {
    flex: 1,
    alignItems: 'center',
    justifyContent: 'center'
  },
  wheelContainer: {
    flex: 1
  },
  timePickerContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center',
    width: _enums.CALENDAR_HEIGHT / 2,
    height: _enums.CALENDAR_HEIGHT / 2
  },
  timePickerText: {
    fontSize: 24,
    fontWeight: 'bold'
  }
});
var _default = TimeSelector;
exports.default = _default;
//# sourceMappingURL=TimeSelector.js.map