import React, { memo } from 'react';
import { Text, View, TouchableOpacity, StyleSheet } from 'react-native';
import { useCalendarContext } from '../CalendarContext';
import utils from '../utils';
const MonthSelector = () => {
  var _utils$getMonths;
  const {
    currentDate,
    onSelectMonth,
    theme
  } = useCalendarContext();
  const month = utils.getDateMonth(currentDate);
  return /*#__PURE__*/React.createElement(View, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.monthsContainer
  }, (_utils$getMonths = utils.getMonths()) === null || _utils$getMonths === void 0 ? void 0 : _utils$getMonths.map((item, index) => {
    const activeItemStyle = index === month ? {
      borderColor: (theme === null || theme === void 0 ? void 0 : theme.selectedItemColor) || '#0047FF',
      backgroundColor: (theme === null || theme === void 0 ? void 0 : theme.selectedItemColor) || '#0047FF'
    } : null;
    const textStyle = index === month ? {
      color: '#fff',
      ...(theme === null || theme === void 0 ? void 0 : theme.selectedTextStyle)
    } : theme === null || theme === void 0 ? void 0 : theme.calendarTextStyle;
    return /*#__PURE__*/React.createElement(TouchableOpacity, {
      key: index,
      style: styles.monthCell,
      onPress: () => onSelectMonth(index)
    }, /*#__PURE__*/React.createElement(View, {
      style: [styles.month, theme === null || theme === void 0 ? void 0 : theme.monthContainerStyle, activeItemStyle]
    }, /*#__PURE__*/React.createElement(Text, {
      key: index,
      style: textStyle
    }, item)));
  })));
};
const styles = StyleSheet.create({
  container: {
    flex: 1,
    alignItems: 'center',
    justifyContent: 'center'
  },
  monthsContainer: {
    flexDirection: 'row',
    flexWrap: 'wrap'
  },
  monthCell: {
    width: '33.3%'
  },
  month: {
    paddingVertical: 15,
    margin: 2,
    alignItems: 'center',
    borderWidth: 1,
    borderRadius: 8,
    borderColor: '#E5E5E5',
    backgroundColor: '#FFFFFF'
  }
});
export default /*#__PURE__*/memo(MonthSelector);
//# sourceMappingURL=MonthSelector.js.map