import dayjs from 'dayjs';
import type { DateType } from './types';
export interface IDayObject {
    text: string;
    day: number;
    date: string;
    disabled: boolean;
    isCurrentMonth: boolean;
}
export default class utils {
    static getMonths: () => dayjs.MonthNames;
    static getMonthName: (month: number) => string | undefined;
    static getWeekdays: () => dayjs.WeekdayNames;
    static getWeekdaysShort: () => dayjs.WeekdayNames;
    static getWeekdaysMin: () => dayjs.WeekdayNames;
    static getFormated: (date: DateType) => string;
    static getNow: () => string;
    static getDateMonth: (date: DateType) => number;
    static getDateYear: (date: DateType) => number;
    static getDateHour: (date: DateType) => number;
    static getDateMinute: (date: DateType) => number;
    static getToday: () => string;
    static getFormatedDate: (date: DateType, format: string) => string;
    static getDate: (date: DateType) => dayjs.Dayjs;
    /**
     * Calculate month days array based on current date
     *
     * @param {DateType} datetime - The current date that selected
     * @param {boolean} displayFullDays
     * @param {DateType} minimumDate
     * @param {DateType} maximumDate
     * @returns {IDayObject[]} days array based on current date
     */
    static getMonthDays: (datetime: DateType, displayFullDays: boolean, minimumDate: DateType, maximumDate: DateType) => IDayObject[];
}
//# sourceMappingURL=utils.d.ts.map